data {
    int N;
    array[N] real St;
    array[N] int Res;
}
parameters {
    real v_mu;
    real<lower = .0> v_sgm;
}
transformed parameters {
    array[N] simplex[2] theta;
    real mu;
    real sgm;
    mu = v_mu * 100;
    sgm = v_sgm * 100.0 + 0.0001;
    for (i in 1:N) {
        theta[i][2] = normal_cdf(St[i] | mu, sgm);
        theta[i][1] = 1.0 - theta[i][2];
    }
}
model {
    v_mu ~ normal(0.0, 10.0);
    v_sgm ~ exponential(0.1);
    for (i in 1:N)
        Res[i] ~ categorical(theta[i]);
}
